<?php
/*

	* cache294.class / sample
	
	# 使い方
		・ tmp/ ディレクトリのパーミッションを 777 あるいは 707 に設定
		・ sample.php へアクセス

*/

require_once( "cache294.class.php" );
$cache = new cache294( "tmp", 60 );

if( !empty($_POST["data"]) )
	$cache->put( "sample", htmlspecialchars($_POST["data"]) );

if( isset($_GET["del"]) )
	$cache->del("sample");


?>
<!DOCTYPE html>
<html>
<head>
<title>cache294.class - sample</title>
</head>
<body>

<h1>cache294.class - sample</h1>
<hr />

<h2>使い方</h2>
<ol>
	<li>tmp/ ディレクトリのパーミッションを 777 あるいは 707 に設定</li>
	<li>60秒間データを保持</li>
</ol>

<h2>保存しているデータ</h2>
<p style="background-color:#eeeeee;text-align:center;">
<?php

$data = $cache->get("sample");
if( $data )
	echo $data;
else
	echo "データが保存されていません。";


?>
</p>
<p style="text-align:right;"><a href="sample.php?del">保存しているデータを削除</a> | <a href="sample.php">再読み込み</a></p>

<h2>データを保存</h2>
<form action="sample.php" method="post">
	<input type="text" name="data" /> 
	<input type="submit" value="保存" />
</form>

<hr />
<p style="text-align:right;">cache294.class <a href="http://www.30294.in/works/script/cache294.html">詳細</a><br />
(C) 2013 30294.in</p>

</body>
</html>
